Subject: Re: bug#50742: spacefm crash on launch

From: "bdju" <[email-masked]>
Date: Mon, 18 Oct 2021 15:33:28 -0500

On Mon Oct 18, 2021 at 9:10 AM CDT, ison wrote:
> Are you using Wayland?
Yes, I am on Sway.
> If so then there is a workaround. Try launching
> it like "WAYLAND_DISPLAY= spacefm" (notice the space). Spacefm doesn't
> support Wayland natively.
This works! Thanks.
> A similar file manager that does support Wayland is Thunar.
I'm all-set for a file manager. I just noticed this problem while
comparing several of them and their performance. I believe pcmanfm,
pcmanfm-qt, thunar, caja, and dolphin all worked okay on Wayland. At the
least they didn't crash on launch.

I guess it sounds like this is an upstream bug then. Not sure if this
should be closed or not. I'll leave that up to someone else to decide.